@media (min-width: 200px) and (max-width: 800px) {
  .main_wrapper { width:100%; float:none; }
  .main_wrapper .main_slider { padding:15px; margin-bottom:20px; }
  .main_wrapper .main_slider .owl-buttons { display:none }
  .main_wrapper .blog_post_feed { padding:15px; margin-bottom:20px; }
  .main_wrapper .blog_post_feed.grid { width:100%; margin:0px; padding:15px; box-sizing:border-box; margin-bottom:20px; }
  .main_wrapper .block-image { width: 100%; }
  .main_wrapper .blog_post_feed article { float:none; width:100%; margin-left:0px; clear:both; }
  
  .sidebar_wrapper { width:100%; float:none; }
  .sidebar_wrapper .widget { margin-bottom:20px; padding:15px; }
  
  /*Detail*/
  .blog_detail_form p { line-height:22px;}
  .main_wrapper .blog_post_feed.detail ul { margin: 15px 0px; }
  .main_wrapper .blog_post_feed.detail .related_posts .posts_block ul li { width:100%; margin:0 0px 15px 0 }
  .main_wrapper .blog_post_feed.detail ul li { padding:0px; }
}

@media (min-width: 400px) and (max-width: 800px) {
    .main_wrapper .blog_post_feed.detail .related_posts .posts_block ul li { width:30%; margin:0 15px 15px 0 }
}

@media (min-width: 800px) and (max-width: 1050px) {
  .main_wrapper { width:60%; float:left; }
  .main_wrapper .main_slider { padding:20px; margin-bottom:30px; }
  .main_wrapper .blog_post_feed { padding:20px; margin-bottom:30px; }
  .main_wrapper .blog_post_feed.grid { width:45%; margin:10px; padding:20px; box-sizing:border-box; margin-bottom:30px; }
  .main_wrapper .block-image { width: 100%; }
  .main_wrapper .blog_post_feed article { float:none; width:100%; margin-left:0px; clear:both; }
  
  .sidebar_wrapper { width:38%; float:right; padding-top:0px; }
  .sidebar_wrapper .widget { margin-bottom:30px; padding:20px; }

}
